#ifndef EVENT_H
#define EVENT_H

#include <QStringList>

class Event {

public:
    explicit Event() {}
    inline qint64 eventId() const { return m_eventId; }
    inline void setEventId(qint64 id) { m_eventId = id; }
    inline QString sourceName() const { return m_sourceName; }
    inline void setSourceName(const QString &name) { m_sourceName = name; }
    inline QString sourceDisplayName() const { return m_sourceDisplayName; }
    inline void setSourceDisplayName(const QString &name) { m_sourceDisplayName = name; }
    inline QString iconPath() const { return m_iconPath; }
    inline void setIconPath(const QString &path) { m_iconPath = path; }
    inline QString title() const { return m_title; }
    inline void setTitle(const QString &title) { m_title = title; }
    inline QString body() const { return m_body; }
    inline void setBody(const QString &body) { m_body = body; }
    inline QStringList imagePaths() const { return m_imagePaths; }
    inline void setImagePaths(const QStringList &paths) { m_imagePaths = paths; }
    inline QString footer() const { return m_footer; }
    inline void setFooter(const QString &footer) { m_footer = footer; }
    inline qint64 timestamp() const { return m_timestamp; }
    inline void setTimestamp(qint64 msecs) { m_timestamp = msecs; }
    inline QString action() const { return m_action; }
    inline void setAction(const QString &action) { m_action = action; }
    inline QString refreshAction() const { return m_refreshAction; }
    inline void setRefreshAction(const QString &action) { m_refreshAction = action; }

private:
    qint64 m_eventId;
    QString m_sourceName;
    QString m_sourceDisplayName;
    QString m_iconPath;
    QString m_title;
    QString m_body;
    QStringList m_imagePaths;
    QString m_footer;
    qint64 m_timestamp;
    QString m_action;
    QString m_refreshAction;
};

#endif // EVENT_H
