#ifndef SELECTIONMODELS_H
#define SELECTIONMODELS_H

#include "enums.h"
#include <QStandardItemModel>

class SelectionModel : public QStandardItemModel
{
    Q_OBJECT

public:
    explicit SelectionModel(QObject *parent = 0);
    void addItem(const QString &name, const QVariant &value);
    QString name(int row) const;
    QVariant value(int row) const;
    inline Qt::Alignment textAlignment() const { return m_textAlignment; }
    inline void setTextAlignment(Qt::Alignment alignment) { m_textAlignment = alignment; }

private:
    Qt::Alignment m_textAlignment;
};

class ScreenOrientationModel : public SelectionModel
{
    Q_OBJECT

public:
    explicit ScreenOrientationModel(QObject *parent = 0);
};

class SharingModel : public SelectionModel
{
    Q_OBJECT

public:
    explicit SharingModel(QObject *parent = 0);
};

class LanguageModel : public SelectionModel
{
    Q_OBJECT

public:
    explicit LanguageModel(QObject *parent = 0);
};

#endif // SELECTIONMODELS_H
