#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include "abstractdialog.h"
#include "screenorientationselector.h"
#include "languageselector.h"
#include <QScrollArea>
#include <QDialogButtonBox>
#include <QGridLayout>

class SettingsDialog : public AbstractDialog
{
    Q_OBJECT

public:
    explicit SettingsDialog(QWidget *parent = 0);

private:
    void loadSettings();
    void setLandscapeLayout();
    void setPortraitLayout();
    
private slots:
    void saveSettings();

private:
    ScreenOrientationSelector *m_orientationSelector;
    LanguageSelector *m_languageSelector;
    QDialogButtonBox *m_buttonBox;
    QScrollArea *m_scrollArea;
    QGridLayout *m_grid;
};

#endif // SETTINGSDIALOG_H
