#ifndef STACKEDWINDOW_H
#define STACKEDWINDOW_H

#include "enums.h"
#include <QMainWindow>

class StackedWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit StackedWindow(QWidget *parent = 0);
    ~StackedWindow() {}
    inline bool inPortrait() const { return m_portrait; }
    void setOrientation(ScreenOrientation::Orientation orientation);

protected slots:
    void onOrientationChanged();
    void toggleBusy(bool busy);

protected:
    inline virtual void setLandscapeLayout() {}
    inline virtual void setPortraitLayout() {}

private:
    bool m_portrait;
};

#endif // STACKEDWINDOW_H
